Skip to main content
GET
/
t
/
v1
/
load-tender
/
get
Get Truck Load Tender
curl --request GET \
  --url https://api-lg-k.arms.cedarai.com/t/v1/load-tender/get \
  --header 'Carrier: <carrier>' \
  --header 'x-arms-api-key: <api-key>' \
  --header 'x-arms-assume-user: <api-key>'
import requests

url = "https://api-lg-k.arms.cedarai.com/t/v1/load-tender/get"

headers = {
"Carrier": "<carrier>",
"x-arms-api-key": "<api-key>",
"x-arms-assume-user": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {
Carrier: '<carrier>',
'x-arms-api-key': '<api-key>',
'x-arms-assume-user': '<api-key>'
}
};

fetch('https://api-lg-k.arms.cedarai.com/t/v1/load-tender/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "truck_load_tender": {
    "bol_handling_requirements": [
      {
        "special_handling_description": "<string>"
      }
    ],
    "business_instructions": [
      {
        "description": "<string>",
        "reference_identification": "<string>",
        "reference_identification_qualifier": "<string>"
      }
    ],
    "date_time_references": [
      {
        "date": "<string>",
        "time": "<string>",
        "time_code": "<string>",
        "time_qualifier": "<string>"
      }
    ],
    "equipment_details": [
      {
        "aar_car_type": "<string>",
        "carrier_code": "<string>",
        "chassis_initial": "<string>",
        "chassis_number": "<string>",
        "check_digit": 123,
        "description_code": "<string>",
        "dunnage": 123,
        "dunnage_measure": {
          "unit": "<string>",
          "value": 123
        },
        "equipment_initial": "<string>",
        "equipment_name": "<string>",
        "equipment_number": "<string>",
        "equipment_ordered": {
          "aar_car_type": "<string>",
          "cubic_capacity": 123,
          "height_inches": 123,
          "length_inches": 123,
          "weight_capacity": 123
        },
        "gross_weight_lbs": 123,
        "gross_weight_measure": {
          "unit": "<string>",
          "value": 123
        },
        "height_in": 123,
        "height_measure": {
          "unit": "<string>",
          "value": 123
        },
        "interchange_move_authorities": [
          {
            "carrier_code": "<string>",
            "movement_authority_code": "<string>",
            "reject_reason_code": "<string>",
            "state_tariff_application_code": "<string>",
            "terminal_tariff_application_code": "<string>"
          }
        ],
        "iso_container_code": "<string>",
        "length_in": 123,
        "length_measure": {
          "unit": "<string>",
          "value": 123
        },
        "net_weight_lbs": 123,
        "net_weight_measure": {
          "unit": "<string>",
          "value": 123
        },
        "ownership_code": "<string>",
        "owning_carrier_code": "<string>",
        "position": "<string>",
        "seal_numbers": [
          "<string>"
        ],
        "shipment_info": [
          {
            "description": "<string>",
            "extended_reference_info": [
              {
                "description": "<string>",
                "reference_id": "<string>",
                "reference_id_qualifier": "<string>",
                "reference_timestamp": "2023-11-07T05:31:56Z"
              }
            ],
            "line_items": [
              {
                "cbp_barcode_number": "<string>",
                "commodity_code": "<string>",
                "commodity_code_qualifier": "<string>",
                "commodity_description": "<string>",
                "currency_code": "<string>",
                "customs_shipment_value": 123,
                "destination_country_code": "<string>",
                "marks_and_numbers": "<string>",
                "origin_country_code": "<string>",
                "quantity": 123,
                "smallest_exterior_package_type": "<string>",
                "weight": 123,
                "weight_unit_code": "<string>"
              }
            ],
            "reference_id": "<string>",
            "reference_id_qualifier": "<string>"
          }
        ],
        "tare_qualifier_code": "<string>",
        "tare_weight_lbs": 123,
        "tare_weight_measure": {
          "unit": "<string>",
          "value": 123
        },
        "terminals": [
          {
            "location_identifier": "<string>",
            "location_qualifier": "<string>",
            "port_name": "<string>",
            "terminal_function_code": "<string>"
          }
        ],
        "weight_allowance": 123,
        "weight_allowance_measure": {
          "unit": "<string>",
          "value": 123
        },
        "weight_type": "WT_ACTUAL",
        "width_in": 123,
        "width_measure": {
          "unit": "<string>",
          "value": 123
        }
      }
    ],
    "interline_information": [
      {
        "routing_sequence_code": "<string>",
        "scac": "<string>",
        "state_or_province_code": "<string>",
        "transportation_method_type_code": "<string>"
      }
    ],
    "notes": [
      {
        "description": "<string>",
        "note_reference_code": "MUTUALLY_DEFINED"
      }
    ],
    "scac": "<string>",
    "shipment_identification_number": "<string>",
    "shipment_parties": [
      {
        "additional_names": [
          "<string>"
        ],
        "address": [
          "<string>"
        ],
        "administrative_contacts": [
          {
            "communication_numbers": [
              {
                "number": "<string>",
                "qualifier": "<string>"
              }
            ],
            "contact_function_code": "<string>",
            "contact_inquiry_reference": "<string>",
            "name": "<string>"
          }
        ],
        "billing_info": [
          {
            "carrier_codes": [
              "<string>"
            ],
            "destination": {
              "city_name": "<string>",
              "country_code": "<string>",
              "fsac": "<string>",
              "postal_code": "<string>",
              "splc": "<string>",
              "state_or_province": "<string>"
            },
            "origin": {
              "city_name": "<string>",
              "country_code": "<string>",
              "fsac": "<string>",
              "postal_code": "<string>",
              "splc": "<string>",
              "state_or_province": "<string>"
            }
          }
        ],
        "city_name": "<string>",
        "country_code": "<string>",
        "country_subdivision_code": "<string>",
        "entity_sub_identifier_code": "<string>",
        "entity_sub_identifier_relationship_code": "<string>",
        "id_code": "<string>",
        "location_identifier": "<string>",
        "location_qualifier": "<string>",
        "location_uuid": "<string>",
        "name": "<string>",
        "postal_code": "<string>",
        "reference_info": [
          {
            "description": "<string>",
            "reference_id": "<string>",
            "reference_id_qualifier": "<string>"
          }
        ],
        "state_or_province": "<string>"
      }
    ],
    "stop_off_details": [
      {
        "bol_handling_requirements": [
          {
            "special_handling_description": "<string>"
          }
        ],
        "date_time_references": [
          {
            "date": "<string>",
            "time": "<string>",
            "time_code": "<string>",
            "time_qualifier": "<string>"
          }
        ],
        "lading_descriptions": [
          {
            "commodity_code": "<string>",
            "commodity_code_qualifier": "<string>",
            "lading_description": "<string>",
            "lading_line_item_number": "<string>",
            "packaging_code": "<string>"
          }
        ],
        "party": {
          "additional_names": [
            "<string>"
          ],
          "address": [
            "<string>"
          ],
          "administrative_contacts": [
            {
              "communication_numbers": [
                {
                  "number": "<string>",
                  "qualifier": "<string>"
                }
              ],
              "contact_function_code": "<string>",
              "contact_inquiry_reference": "<string>",
              "name": "<string>"
            }
          ],
          "billing_info": [
            {
              "carrier_codes": [
                "<string>"
              ],
              "destination": {
                "city_name": "<string>",
                "country_code": "<string>",
                "fsac": "<string>",
                "postal_code": "<string>",
                "splc": "<string>",
                "state_or_province": "<string>"
              },
              "origin": {
                "city_name": "<string>",
                "country_code": "<string>",
                "fsac": "<string>",
                "postal_code": "<string>",
                "splc": "<string>",
                "state_or_province": "<string>"
              }
            }
          ],
          "city_name": "<string>",
          "country_code": "<string>",
          "country_subdivision_code": "<string>",
          "entity_sub_identifier_code": "<string>",
          "entity_sub_identifier_relationship_code": "<string>",
          "id_code": "<string>",
          "location_identifier": "<string>",
          "location_qualifier": "<string>",
          "location_uuid": "<string>",
          "name": "<string>",
          "postal_code": "<string>",
          "reference_info": [
            {
              "description": "<string>",
              "reference_id": "<string>",
              "reference_id_qualifier": "<string>"
            }
          ],
          "state_or_province": "<string>"
        },
        "shipment_weight_packaging_quantity_data": [
          {
            "lading_quantity": 123,
            "lading_quantity_2": 123,
            "weight": 123,
            "weight_2": 123,
            "weight_qualifier": "<string>",
            "weight_qualifier_2": "<string>"
          }
        ],
        "stop_sequence_number": 123,
        "weight": 123
      }
    ],
    "total_weight": 123,
    "truck_load_tender_id": "<string>"
  }
}
{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}

Authorizations

x-arms-api-key
string
header
required
x-arms-assume-user
string
header
required

Headers

Carrier
string
required

Carrier ID

Query Parameters

name
string

Response

A successful response.

truck_load_tender
object

Truck Load Tender.